
import com.imsl.math.*;

public class QuadratureEx2 {

    public static void main(String args[]) {

        Quadrature.Function fcn = new Quadrature.Function() {
            public double f(double x) {
                return Math.exp(-x);
            }
        };

        Quadrature q = new Quadrature();
        double result = q.eval(fcn, 0.0, Double.POSITIVE_INFINITY);

        double expect = 1.;
        System.out.println("result = " + result);
        System.out.println("expect = " + expect);
    }
}
